Report a command as failed
curl --request POST \
--url https://api.gamecart.gg/v1/seller/servers/{serverId}/commands/{id}/fail \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "Player not found"
}
'import requests
url = "https://api.gamecart.gg/v1/seller/servers/{serverId}/commands/{id}/fail"
payload = { "reason": "Player not found" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: 'Player not found'})
};
fetch('https://api.gamecart.gg/v1/seller/servers/{serverId}/commands/{id}/fail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "ORDER_NOT_FOUND",
"detail": "Order not found.",
"errors": [
{
"code": "validation.required",
"field": "content",
"message": "This field is required."
}
],
"instance": "/v1/seller/orders/GC-NOPE",
"requiredScope": [
"orders:read",
"orders:buyer:read"
],
"retryAfterSeconds": 17,
"status": 404,
"title": "Not Found",
"traceId": "ede70d1d-66d8-4af7-9a4e-a8775b047380",
"type": "about:blank"
}{
"code": "ORDER_NOT_FOUND",
"detail": "Order not found.",
"errors": [
{
"code": "validation.required",
"field": "content",
"message": "This field is required."
}
],
"instance": "/v1/seller/orders/GC-NOPE",
"requiredScope": [
"orders:read",
"orders:buyer:read"
],
"retryAfterSeconds": 17,
"status": 404,
"title": "Not Found",
"traceId": "ede70d1d-66d8-4af7-9a4e-a8775b047380",
"type": "about:blank"
}{
"code": "ORDER_NOT_FOUND",
"detail": "Order not found.",
"errors": [
{
"code": "validation.required",
"field": "content",
"message": "This field is required."
}
],
"instance": "/v1/seller/orders/GC-NOPE",
"requiredScope": [
"orders:read",
"orders:buyer:read"
],
"retryAfterSeconds": 17,
"status": 404,
"title": "Not Found",
"traceId": "ede70d1d-66d8-4af7-9a4e-a8775b047380",
"type": "about:blank"
}{
"code": "ORDER_NOT_FOUND",
"detail": "Order not found.",
"errors": [
{
"code": "validation.required",
"field": "content",
"message": "This field is required."
}
],
"instance": "/v1/seller/orders/GC-NOPE",
"requiredScope": [
"orders:read",
"orders:buyer:read"
],
"retryAfterSeconds": 17,
"status": 404,
"title": "Not Found",
"traceId": "ede70d1d-66d8-4af7-9a4e-a8775b047380",
"type": "about:blank"
}{
"code": "ORDER_NOT_FOUND",
"detail": "Order not found.",
"errors": [
{
"code": "validation.required",
"field": "content",
"message": "This field is required."
}
],
"instance": "/v1/seller/orders/GC-NOPE",
"requiredScope": [
"orders:read",
"orders:buyer:read"
],
"retryAfterSeconds": 17,
"status": 404,
"title": "Not Found",
"traceId": "ede70d1d-66d8-4af7-9a4e-a8775b047380",
"type": "about:blank"
}{
"code": "ORDER_NOT_FOUND",
"detail": "Order not found.",
"errors": [
{
"code": "validation.required",
"field": "content",
"message": "This field is required."
}
],
"instance": "/v1/seller/orders/GC-NOPE",
"requiredScope": [
"orders:read",
"orders:buyer:read"
],
"retryAfterSeconds": 17,
"status": 404,
"title": "Not Found",
"traceId": "ede70d1d-66d8-4af7-9a4e-a8775b047380",
"type": "about:blank"
}{
"code": "ORDER_NOT_FOUND",
"detail": "Order not found.",
"errors": [
{
"code": "validation.required",
"field": "content",
"message": "This field is required."
}
],
"instance": "/v1/seller/orders/GC-NOPE",
"requiredScope": [
"orders:read",
"orders:buyer:read"
],
"retryAfterSeconds": 17,
"status": 404,
"title": "Not Found",
"traceId": "ede70d1d-66d8-4af7-9a4e-a8775b047380",
"type": "about:blank"
}Command execution
Report a command as failed
Moves a PROCESSING command of this server to FAILED with the reason.
POST
/
v1
/
seller
/
servers
/
{serverId}
/
commands
/
{id}
/
fail
Report a command as failed
Authorizations
API token created in the dashboard under Integrations > API. Tokens start with gci_.
Path Parameters
Pattern:
[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}Body
application/json
Why the command could not run. Control characters are removed and the text is cut at 512 characters.
Example:
"Player not found"
Response
Recorded.
Was this page helpful?
